# Serialized Form

- ## Package com.cloudera.flume.handlers.thrift

  - ### Class com.cloudera.flume.handlers.thrift.ThriftFlumeEvent extends Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(ObjectInputStream in)
                             throws IOException,
                                    ClassNotFoundException

        Throws:
          `IOException`
          `ClassNotFoundException`

      - #### writeObject

            private void writeObject(ObjectOutputStream out)
                              throws IOException

        Throws:
          `IOException`

    - ### Serialized Fields

      - #### timestamp

            long timestamp

      - #### priority

            Priority priority

        See Also:
          `Priority`

      - #### body

            ByteBuffer body

      - #### nanos

            long nanos

      - #### host

            String host

      - #### fields

            Map<K,V> fields

      - #### __isset_bit_vector

            BitSet __isset_bit_vector

  - ### Class com.cloudera.flume.handlers.thrift.ThriftFlumeEventServer.append_args extends Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(ObjectInputStream in)
                             throws IOException,
                                    ClassNotFoundException

        Throws:
          `IOException`
          `ClassNotFoundException`

      - #### writeObject

            private void writeObject(ObjectOutputStream out)
                              throws IOException

        Throws:
          `IOException`

    - ### Serialized Fields

      - #### evt

            ThriftFlumeEvent evt

  - ### Class com.cloudera.flume.handlers.thrift.ThriftFlumeEventServer.close_args extends Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(ObjectInputStream in)
                             throws IOException,
                                    ClassNotFoundException

        Throws:
          `IOException`
          `ClassNotFoundException`

      - #### writeObject

            private void writeObject(ObjectOutputStream out)
                              throws IOException

        Throws:
          `IOException`

  - ### Class com.cloudera.flume.handlers.thrift.ThriftFlumeEventServer.close_result extends Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(ObjectInputStream in)
                             throws IOException,
                                    ClassNotFoundException

        Throws:
          `IOException`
          `ClassNotFoundException`

      - #### writeObject

            private void writeObject(ObjectOutputStream out)
                              throws IOException

        Throws:
          `IOException`

- ## Package org.apache.flume

  - ### Class org.apache.flume.ChannelException extends RuntimeException implements Serializable

    serialVersionUID:
      1L

  - ### Class org.apache.flume.ChannelFullException extends ChannelException implements Serializable

    serialVersionUID:
      -8098141359417449525L

  - ### Class org.apache.flume.EventDeliveryException extends Exception implements Serializable

    serialVersionUID:
      1102327497549834945L

  - ### Class org.apache.flume.FlumeException extends RuntimeException implements Serializable

    serialVersionUID:
      1L

- ## Package org.apache.flume.auth

  - ### Class org.apache.flume.auth.SecurityException extends RuntimeException implements Serializable

- ## Package org.apache.flume.channel.file

  - ### Class org.apache.flume.channel.file.BadCheckpointException extends FlumeException implements Serializable

    serialVersionUID:
      -5038652693746472779L

  - ### Class org.apache.flume.channel.file.CorruptEventException extends Exception implements Serializable

    serialVersionUID:
      -2986946303540798416L

  - ### Class org.apache.flume.channel.file.LogFileRetryableIOException extends IOException implements Serializable

    serialVersionUID:
      -2747112999806160431L

  - ### Class org.apache.flume.channel.file.NoopRecordException extends Exception implements Serializable

    serialVersionUID:
      -7394180633208889738L

- ## Package org.apache.flume.channel.file.encryption

  - ### Class org.apache.flume.channel.file.encryption.DecryptionFailureException extends FlumeException implements Serializable

    serialVersionUID:
      6646810195384793646L

- ## Package org.apache.flume.channel.file.proto

  - ### Class org.apache.flume.channel.file.proto.ProtosFactory.ActiveLog extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### logFileID_

            int logFileID_

      - #### count_

            int count_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.flume.channel.file.proto.ProtosFactory.Checkpoint extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### version_

            int version_

      - #### writeOrderID_

            long writeOrderID_

      - #### queueSize_

            int queueSize_

      - #### queueHead_

            int queueHead_

      - #### activeLogs_

            List<E> activeLogs_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.flume.channel.file.proto.ProtosFactory.Commit extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### type_

            int type_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.flume.channel.file.proto.ProtosFactory.FlumeEvent extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### headers_

            List<E> headers_

      - #### body_

            com.google.protobuf.ByteString body_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.flume.channel.file.proto.ProtosFactory.FlumeEventHeader extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### key_

            Object key_

      - #### value_

            Object value_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.flume.channel.file.proto.ProtosFactory.LogFileEncryption extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### cipherProvider_

            Object cipherProvider_

      - #### keyAlias_

            Object keyAlias_

      - #### parameters_

            com.google.protobuf.ByteString parameters_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.flume.channel.file.proto.ProtosFactory.LogFileMetaData extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### version_

            int version_

      - #### logFileID_

            int logFileID_

      - #### checkpointPosition_

            long checkpointPosition_

      - #### checkpointWriteOrderID_

            long checkpointWriteOrderID_

      - #### encryption_

            ProtosFactory.LogFileEncryption encryption_

      - #### backupCheckpointPosition_

            long backupCheckpointPosition_

      - #### backupCheckpointWriteOrderID_

            long backupCheckpointWriteOrderID_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.flume.channel.file.proto.ProtosFactory.Put extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### event_

            ProtosFactory.FlumeEvent event_

      - #### checksum_

            long checksum_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.flume.channel.file.proto.ProtosFactory.Rollback extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.flume.channel.file.proto.ProtosFactory.Take extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### fileID_

            int fileID_

      - #### offset_

            int offset_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.flume.channel.file.proto.ProtosFactory.TransactionEventFooter extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

  - ### Class org.apache.flume.channel.file.proto.ProtosFactory.TransactionEventHeader extends com.google.protobuf.GeneratedMessage implements Serializable

    serialVersionUID:
      0L

    - ### Serialization Methods

      - #### writeReplace

            protected Object writeReplace()
                                   throws ObjectStreamException

        Throws:
          `ObjectStreamException`

    - ### Serialized Fields

      - #### unknownFields

            com.google.protobuf.UnknownFieldSet unknownFields

      - #### bitField0_

            int bitField0_

      - #### type_

            int type_

      - #### transactionID_

            long transactionID_

      - #### writeOrderID_

            long writeOrderID_

      - #### memoizedIsInitialized

            byte memoizedIsInitialized

      - #### memoizedSerializedSize

            int memoizedSerializedSize

- ## Package org.apache.flume.channel.jdbc

  - ### Class org.apache.flume.channel.jdbc.JdbcChannelException extends ChannelException implements Serializable

    serialVersionUID:
      -5566109526732929679L

- ## Package org.apache.flume.conf

  - ### Class org.apache.flume.conf.ConfigurationException extends FlumeException implements Serializable

    serialVersionUID:
      1L

- ## Package org.apache.flume.lifecycle

  - ### Class org.apache.flume.lifecycle.LifecycleException extends Exception implements Serializable

    serialVersionUID:
      4689000562519155240L

- ## Package org.apache.flume.sink.hdfs

  - ### Class org.apache.flume.sink.hdfs.BucketClosedException extends FlumeException implements Serializable

    serialVersionUID:
      -4216667125119540357L

- ## Package org.apache.flume.sink.hive

  - ### Class org.apache.flume.sink.hive.HiveWriter.CommitException extends HiveWriter.Failure implements Serializable

  - ### Class org.apache.flume.sink.hive.HiveWriter.ConnectException extends HiveWriter.Failure implements Serializable

  - ### Class org.apache.flume.sink.hive.HiveWriter.Failure extends Exception implements Serializable

  - ### Class org.apache.flume.sink.hive.HiveWriter.TxnBatchException extends HiveWriter.Failure implements Serializable

  - ### Class org.apache.flume.sink.hive.HiveWriter.WriteException extends HiveWriter.Failure implements Serializable

- ## Package org.apache.flume.sink.kite

  - ### Class org.apache.flume.sink.kite.NonRecoverableEventException extends Exception implements Serializable

    serialVersionUID:
      3485151222482254285L

- ## Package org.apache.flume.source.http

  - ### Class org.apache.flume.source.http.HTTPBadRequestException extends FlumeException implements Serializable

    serialVersionUID:
      -3540764742069390951L

- ## Package org.apache.flume.source.scribe

  - ### Class org.apache.flume.source.scribe.LogEntry extends Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(ObjectInputStream in)
                             throws IOException,
                                    ClassNotFoundException

        Throws:
          `IOException`
          `ClassNotFoundException`

      - #### writeObject

            private void writeObject(ObjectOutputStream out)
                              throws IOException

        Throws:
          `IOException`

    - ### Serialized Fields

      - #### category

            String category

      - #### message

            String message

  - ### Class org.apache.flume.source.scribe.Scribe.Log_args extends Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(ObjectInputStream in)
                             throws IOException,
                                    ClassNotFoundException

        Throws:
          `IOException`
          `ClassNotFoundException`

      - #### writeObject

            private void writeObject(ObjectOutputStream out)
                              throws IOException

        Throws:
          `IOException`

    - ### Serialized Fields

      - #### messages

            List<E> messages

  - ### Class org.apache.flume.source.scribe.Scribe.Log_result extends Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(ObjectInputStream in)
                             throws IOException,
                                    ClassNotFoundException

        Throws:
          `IOException`
          `ClassNotFoundException`

      - #### writeObject

            private void writeObject(ObjectOutputStream out)
                              throws IOException

        Throws:
          `IOException`

    - ### Serialized Fields

      - #### success

            ResultCode success

        See Also:
          `ResultCode`

- ## Package org.apache.flume.thrift

  - ### Class org.apache.flume.thrift.ThriftFlumeEvent extends Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(ObjectInputStream in)
                             throws IOException,
                                    ClassNotFoundException

        Throws:
          `IOException`
          `ClassNotFoundException`

      - #### writeObject

            private void writeObject(ObjectOutputStream out)
                              throws IOException

        Throws:
          `IOException`

    - ### Serialized Fields

      - #### headers

            Map<K,V> headers

      - #### body

            ByteBuffer body

  - ### Class org.apache.flume.thrift.ThriftSourceProtocol.append_args extends Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(ObjectInputStream in)
                             throws IOException,
                                    ClassNotFoundException

        Throws:
          `IOException`
          `ClassNotFoundException`

      - #### writeObject

            private void writeObject(ObjectOutputStream out)
                              throws IOException

        Throws:
          `IOException`

    - ### Serialized Fields

      - #### event

            ThriftFlumeEvent event

  - ### Class org.apache.flume.thrift.ThriftSourceProtocol.append_result extends Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(ObjectInputStream in)
                             throws IOException,
                                    ClassNotFoundException

        Throws:
          `IOException`
          `ClassNotFoundException`

      - #### writeObject

            private void writeObject(ObjectOutputStream out)
                              throws IOException

        Throws:
          `IOException`

    - ### Serialized Fields

      - #### success

            Status success

        See Also:
          `Status`

  - ### Class org.apache.flume.thrift.ThriftSourceProtocol.appendBatch_args extends Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(ObjectInputStream in)
                             throws IOException,
                                    ClassNotFoundException

        Throws:
          `IOException`
          `ClassNotFoundException`

      - #### writeObject

            private void writeObject(ObjectOutputStream out)
                              throws IOException

        Throws:
          `IOException`

    - ### Serialized Fields

      - #### events

            List<E> events

  - ### Class org.apache.flume.thrift.ThriftSourceProtocol.appendBatch_result extends Object implements Serializable

    - ### Serialization Methods

      - #### readObject

            private void readObject(ObjectInputStream in)
                             throws IOException,
                                    ClassNotFoundException

        Throws:
          `IOException`
          `ClassNotFoundException`

      - #### writeObject

            private void writeObject(ObjectOutputStream out)
                              throws IOException

        Throws:
          `IOException`

    - ### Serialized Fields

      - #### success

            Status success

        See Also:
          `Status`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.